PUT
/api/v1/epfs/{epfs_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/epfs/{epfs_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "epfs-127", "size_in_gb": 2000, "network_id": 34872}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/epfs/{epfs_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "epfs-127", "size_in_gb": 2000, "network_id": 34872, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/epfs/{epfs_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "epfs-127", "size_in_gb": 2000, "network_id": 34872 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”epfs_id
required
integer
EPFS Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Example
epfs-127size_in_gb
required
integer
Example
2000network_id
required
integer
Example
34872Responses
Section titled “Responses”Successful response indicating upgrade status
Media typeapplication/json
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 200, "data": "Upgrading in process", "errors": {}, "message": "Success"}